Package org.kapott.hbci.manager

## Class HBCIUtilsInternal

- java.lang.Object
- - org.kapott.hbci.manager.HBCIUtilsInternal

    public class HBCIUtilsInternal
    extends java.lang.Object

### Field Summary

Fields
`static java.util.Map<java.lang.String,​BankInfo>` `banks`
`static java.util.Properties` `blzs`
`static java.util.Hashtable<java.lang.ThreadGroup,​HBCICallback>` `callbacks`
`static java.util.Hashtable<java.lang.ThreadGroup,​java.util.Locale>` `locales`
`static java.util.Hashtable<java.lang.ThreadGroup,​java.util.ResourceBundle>` `locMsgs`

### Constructor Summary

Constructors
`HBCIUtilsInternal()`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static java.lang.String` `ba2string​(byte[] ba)`
`static java.lang.String` `bigDecimal2String​(java.math.BigDecimal value)`
`static java.lang.String` `getAlgForBLZ​(java.lang.String blz)` Liefert das Pruefziffern-Verfahren fuer diese Bank.
`static java.lang.String` `getBLZData​(java.lang.String blz)` Deprecated. Bitte `HBCIUtils.getBankInfo(String)` verwenden.
`static HBCICallback` `getCallback()`
`static java.lang.String` `getLocMsg​(java.lang.String key)`
`static java.lang.String` `getLocMsg​(java.lang.String key, java.lang.Object o)`
`static java.lang.String` `getLocMsg​(java.lang.String key, java.lang.Object[] o)`
`static java.lang.String[]` `getNextRelativePathElem​(java.lang.String currentPath, java.lang.String targetPath)`
`static java.lang.String` `getNthToken​(java.lang.String st, int idx)` Deprecated. Bitte `HBCIUtils.getBankInfo(String)` verwenden.
`static int` `getPosiOfNextDelimiter​(java.lang.String st, int posi)`
`static boolean` `ignoreError​(HBCIPassport passport, java.lang.String paramName, java.lang.String msg)`
`static long` `string2Long​(java.lang.String st, long factor)`
`static java.lang.String` `stripLeadingZeroes​(java.lang.String st)`
`static java.lang.String` `withCounter​(java.lang.String st, int idx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### blzs

    public static java.util.Properties blzs

#### banks

    public static java.util.Map<java.lang.String,​BankInfo> banks

#### callbacks

    public static java.util.Hashtable<java.lang.ThreadGroup,​HBCICallback> callbacks

#### locMsgs

    public static java.util.Hashtable<java.lang.ThreadGroup,​java.util.ResourceBundle> locMsgs

#### locales

    public static java.util.Hashtable<java.lang.ThreadGroup,​java.util.Locale> locales

### Constructor Detail

#### HBCIUtilsInternal

    public HBCIUtilsInternal()

### Method Detail

#### bigDecimal2String

    public static java.lang.String bigDecimal2String​(java.math.BigDecimal value)

#### getBLZData

    public static java.lang.String getBLZData​(java.lang.String blz)

Deprecated.
Bitte `HBCIUtils.getBankInfo(String)` verwenden.
Liefert die Zeile aus der blz.properties mit der angegebenen BLZ.

Parameters:
  `blz` - die BLZ.
Returns:
  die Zeile aus der blz.properties

#### getNthToken

    public static java.lang.String getNthToken​(java.lang.String st,
                                               int idx)

Deprecated.
Bitte `HBCIUtils.getBankInfo(String)` verwenden.
Liefert den n-ten Datensatz (beginnend bei 1) aus der Zeile.

Parameters:
  `st` - die Zeile.
  `idx` - der Index, beginnend bei 1.
Returns:
  der Wert oder Leerstring.

#### getAlgForBLZ

    public static java.lang.String getAlgForBLZ​(java.lang.String blz)

Liefert das Pruefziffern-Verfahren fuer diese Bank.

Parameters:
  `blz` - die BLZ.
Returns:
  das Pruefziffern-Verfahren fuer diese Bank.

#### getCallback

    public static HBCICallback getCallback()

#### getLocMsg

    public static java.lang.String getLocMsg​(java.lang.String key)

#### getLocMsg

    public static java.lang.String getLocMsg​(java.lang.String key,
                                             java.lang.Object o)

#### getLocMsg

    public static java.lang.String getLocMsg​(java.lang.String key,
                                             java.lang.Object[] o)

#### ignoreError

    public static boolean ignoreError​(HBCIPassport passport,
                                      java.lang.String paramName,
                                      java.lang.String msg)

#### string2Long

    public static long string2Long​(java.lang.String st,
                                   long factor)

#### withCounter

    public static java.lang.String withCounter​(java.lang.String st,
                                               int idx)

#### getNextRelativePathElem

    public static java.lang.String[] getNextRelativePathElem​(java.lang.String currentPath,
                                                             java.lang.String targetPath)

#### getPosiOfNextDelimiter

    public static int getPosiOfNextDelimiter​(java.lang.String st,
                                             int posi)

#### ba2string

    public static java.lang.String ba2string​(byte[] ba)

#### stripLeadingZeroes

    public static java.lang.String stripLeadingZeroes​(java.lang.String st)